<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetInterClusterServiceProfileReq StructType
 * @subpackage Structs
 */
class GetInterClusterServiceProfileReq extends AbstractStructBase
{
    /**
     * The interClusterService
     * Meta information extracted from the WSDL
     * - choice: interClusterService | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - default: EMCC
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $interClusterService;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: interClusterService | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RInterClusterServiceProfile
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetInterClusterServiceProfileReq
     * @uses GetInterClusterServiceProfileReq::setInterClusterService()
     * @uses GetInterClusterServiceProfileReq::setUuid()
     * @uses GetInterClusterServiceProfileReq::setReturnedTags()
     * @uses GetInterClusterServiceProfileReq::setSequence()
     * @param string $interClusterService
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RInterClusterServiceProfile $returnedTags
     * @param int $sequence
     */
    public function __construct($interClusterService = 'EMCC', $uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\RInterClusterServiceProfile $returnedTags = null, $sequence = null)
    {
        $this
            ->setInterClusterService($interClusterService)
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get interClusterService value
     * @return string
     */
    public function getInterClusterService()
    {
        return isset($this->interClusterService) ? $this->interClusterService : null;
    }
    /**
     * Set interClusterService value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $interClusterService
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetInterClusterServiceProfileReq
     */
    public function setInterClusterService($interClusterService = 'EMCC')
    {
        if (is_null($interClusterService) || (is_array($interClusterService) && empty($interClusterService))) {
            unset($this->interClusterService);
        } else {
            $this->interClusterService = $interClusterService;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetInterClusterServiceProfileReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RInterClusterServiceProfile|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RInterClusterServiceProfile $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetInterClusterServiceProfileReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RInterClusterServiceProfile $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetInterClusterServiceProfileReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
